package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 履职日统计对象 pdm_report_appointment_day
 *
 * @author ruoyi
 * @date 2024-11-28
 */
@Data
public class PdmReportAppointmentDay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 单位 */
    @Excel(name = "单位")
    private String company;

    /** 日期 */
    @Excel(name = "日期")
    private String reportDate;

    /** 领导督察次数 */
    @Excel(name = "领导督察次数")
    private Integer bossSum;

    /** 管理督察次数 */
    @Excel(name = "管理督察次数")
    private Integer manageSum;

    /** 未履职数量 */
    @Excel(name = "未履职数量")
    private Integer absentSum;

    /** 未履职明细 */
    @Excel(name = "未履职明细")
    private String absentDetail;

    /** 履职不到位数量 */
    @Excel(name = "履职不到位数量")
    private Integer absentBadSum;

    /** 履职不到位明细 */
    @Excel(name = "履职不到位明细")
    private String absentBadDetail;

    private Long no;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setBossSum(Integer bossSum)
    {
        this.bossSum = bossSum;
    }

    public Integer getBossSum()
    {
        return bossSum;
    }
    public void setManageSum(Integer manageSum)
    {
        this.manageSum = manageSum;
    }

    public Integer getManageSum()
    {
        return manageSum;
    }
    public void setAbsentSum(Integer absentSum)
    {
        this.absentSum = absentSum;
    }

    public Integer getAbsentSum()
    {
        return absentSum;
    }
    public void setAbsentDetail(String absentDetail)
    {
        this.absentDetail = absentDetail;
    }

    public String getAbsentDetail()
    {
        return absentDetail;
    }
    public void setAbsentBadSum(Integer absentBadSum)
    {
        this.absentBadSum = absentBadSum;
    }

    public Integer getAbsentBadSum()
    {
        return absentBadSum;
    }
    public void setAbsentBadDetail(String absentBadDetail)
    {
        this.absentBadDetail = absentBadDetail;
    }

    public String getAbsentBadDetail()
    {
        return absentBadDetail;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompany())
            .append("reportDate", getReportDate())
            .append("bossSum", getBossSum())
            .append("manageSum", getManageSum())
            .append("absentSum", getAbsentSum())
            .append("absentDetail", getAbsentDetail())
            .append("absentBadSum", getAbsentBadSum())
            .append("absentBadDetail", getAbsentBadDetail())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
